Page MenuHomePhabricator

Replace mc2028 with wmf6413 and name it mc2037
Closed, ResolvedPublic

Description

This task will tack down the replacement of mc2028 having main board problem (T260224)

mc2037.codfw.wmnet

  • - Apply physical label
  • - Remove memory from mc2028 and add it to mc2037
  • - Remove disks from mc2028 and put it into mc2037
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for hostname
  • - network port setup (description, enable, vlan)
    • end on-site specific steps
  • - production dns entries added
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation
  • - puppet accept/initial run (with role:spare)
  • - host state in netbox set to staged

Once the system(s) above have had all checkbox steps completed, this task can be resolved.

Event Timeline

Papaul created this task.Aug 18 2020, 2:36 PM
Papaul updated the task description. (Show Details)
[edit interfaces interface-range vlan-private1-c-codfw]
     member ge-1/0/22 { ... }
+    member ge-1/0/2;
[edit interfaces interface-range disabled]
-    member ge-1/0/2;
[edit interfaces ge-1/0/2]
-   description WMF6413;
+   description mc2037;
Papaul updated the task description. (Show Details)Aug 18 2020, 3:31 PM
Papaul updated the task description. (Show Details)Aug 18 2020, 4:27 PM
Papaul triaged this task as Medium priority.Aug 18 2020, 5:55 PM

Change 621259 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Add mgmt DNS for mc2037

https://gerrit.wikimedia.org/r/621259

Change 621259 merged by Papaul:
[operations/dns@master] DNS: Add production DNS for mc2037

https://gerrit.wikimedia.org/r/621259

Papaul added a comment.EditedAug 19 2020, 1:25 PM

@RLazarus what OS for mc2037? I see the other mc20* are still on Jessie

I know it's 2020, but Jessie for uniformity please. Upgrading those hosts is a work in progress. If we weren't about to do the switchover, I'd say install something newer and see what happens, but let's do one thing at a time.

Change 621270 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/puppet@production] DHCP: Add MAC address for mc2037

https://gerrit.wikimedia.org/r/621270

Change 621270 merged by Papaul:
[operations/puppet@production] DHCP: Add MAC address for mc2037

https://gerrit.wikimedia.org/r/621270

Papaul moved this task from Backlog to Racking Tasks on the ops-codfw board.Aug 19 2020, 1:59 PM

Change 621275 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/puppet@production] Add mc2037 to site.pp with role insetup

https://gerrit.wikimedia.org/r/621275

Change 621275 merged by Papaul:
[operations/puppet@production] Add mc2037 to site.pp with role insetup

https://gerrit.wikimedia.org/r/621275

Script wmf-auto-reimage was launched by pt1979 on cumin2001.codfw.wmnet for hosts:

mc2037.codfw.wmnet

The log can be found in /var/log/wmf-auto-reimage/202008191418_pt1979_20186_mc2037_codfw_wmnet.log.

Completed auto-reimage of hosts:

['mc2037.codfw.wmnet']

Of which those FAILED:

['mc2037.codfw.wmnet']

Script wmf-auto-reimage was launched by pt1979 on cumin2001.codfw.wmnet for hosts:

mc2037.codfw.wmnet

The log can be found in /var/log/wmf-auto-reimage/202008191447_pt1979_14598_mc2037_codfw_wmnet.log.

Completed auto-reimage of hosts:

['mc2037.codfw.wmnet']

and were ALL successful.

Papaul closed this task as Resolved.Aug 19 2020, 3:30 PM
Papaul updated the task description. (Show Details)
Papaul updated the task description. (Show Details)

This is complete. Please open a decommission sub-task to T260224 for mc2028